API reference
Terminals
GET
bearerheader
AuthorizationBearer <token>threadId*stringOK
application/json- response
threadId*stringterminals*array<>localUrls*array<string>curl -X GET 'https://engine.keko.run/v1/threads/string/terminals'Example Response
{ "threadId": "string", "terminals": [ { "id": "string", "threadId": "string", "title": "string", "status": "idle", "foreground": "string", "exitCode": 0 } ], "localUrls": [ "string" ]}POST
bearerheader
AuthorizationBearer <token>threadId*stringapplication/json- body
cols?integerRange
0 < value <= 9007199254740991rows?integerRange
0 < value <= 9007199254740991OK
application/json- response
terminal*curl -X POST 'https://engine.keko.run/v1/threads/string/terminals' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "terminal": { "id": "string", "threadId": "string", "title": "string", "status": "idle", "foreground": "string", "exitCode": 0 }}GET
Send write (keystrokes), resize and close. Several clients can follow one terminal at once.
bearerheader
AuthorizationBearer <token>terminalId*stringSwitches to a WebSocket
curl -X GET 'https://engine.keko.run/v1/terminals/string'Example Response
Empty
DELETE
bearerheader
AuthorizationBearer <token>terminalId*stringOK
application/json- response
ok*booleancurl -X DELETE 'https://engine.keko.run/v1/terminals/string'Example Response
{ "ok": true}